# BarcodeScannerConfiguration class

Configuration for the barcode scanner.

## Constructors

BarcodeScannerConfiguration.new({List<BarcodeFormatConfigurationBase>? barcodeFormatConfigurations, List<BarcodeDocumentFormat>? extractedDocumentFormats, bool onlyAcceptDocuments = false, bool returnBarcodeImage = false, BarcodeScannerEngineMode engineMode = BarcodeScannerEngineMode.NEXT_GEN, bool optimizedForOverlays = false})
BarcodeScannerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

barcodeFormatConfigurations ↔ List<BarcodeFormatConfigurationBase>
  Options for barcode decoding.
  getter/setter pair
engineMode ↔ BarcodeScannerEngineMode
  The engine mode for barcode scanning.
  getter/setter pair
extractedDocumentFormats ↔ List<BarcodeDocumentFormat>
  List of document formats to be extracted. Barcodes that decode to one of the extracted document formats will have extractedDocument field in BarcodeItem populated with the parsed document. By default all supported barcode document formats are accepted. If empty, no barcodes will be parsed into documents. To only accept the document formats listed in extractedDocumentFormats, the property onlyAcceptDocuments must be true.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
onlyAcceptDocuments ↔ bool
  If true and extractedDocumentFormats is not empty, then barcodes that don't decode to one of the extracted document formats will be ignored.
  getter/setter pair
optimizedForOverlays ↔ bool
  If true, the quads of linear (1D) barcodes will be further refined to more closely match the barcode's outline in the input image. This will also produce stabler barcode outlines across frames for use cases such as AR.
  getter/setter pair
returnBarcodeImage ↔ bool
  If true, the barcode image will be returned in the BarcodeItem.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited